Index: misc/CMake/FindOSL.cmake
===================================================================
--- misc/CMake/FindOSL.cmake	(revision 54114)
+++ misc/CMake/FindOSL.cmake	(working copy)
@@ -65,7 +65,7 @@
   NAMES oslquery
   PATHS ${OSLHOME}/lib)
 
-FIND_PATH (OSL_INCLUDES
+find_path (OSL_INCLUDES
   NAMES oslexec.h
   PATHS ${OSLHOME}/include/OSL)
 
Index: misc/CMake/Fink_MacPorts.cmake
===================================================================
--- misc/CMake/Fink_MacPorts.cmake	(revision 54114)
+++ misc/CMake/Fink_MacPorts.cmake	(working copy)
@@ -109,24 +109,24 @@
     endif(${CMAKE_SEARCH_OSX_PATHS} STREQUAL "FINK" AND NOT FINK_EXEC)
 
     # Deduce the MacPorts paths from PORT_EXEC
-    IF(PORT_EXEC)
+    if(PORT_EXEC)
       get_filename_component(port_binpath ${PORT_EXEC} PATH)
       get_filename_component(port_path ${port_binpath} PATH)
       get_filename_component(port_path_normalized ${port_path} ABSOLUTE)
-      SET(CMAKE_MACPORTS_LIBRARY_PATH ${port_path_normalized}/lib CACHE STRING "MacPorts library path" FORCE)
-      SET(CMAKE_MACPORTS_INCLUDE_PATH ${port_path_normalized}/include CACHE STRING "MacPorts include path" FORCE)
+      set(CMAKE_MACPORTS_LIBRARY_PATH ${port_path_normalized}/lib CACHE STRING "MacPorts library path" FORCE)
+      set(CMAKE_MACPORTS_INCLUDE_PATH ${port_path_normalized}/include CACHE STRING "MacPorts include path" FORCE)
       if(CMAKE_SYSTEM_IGNORE_PATH)
 	list(REMOVE_ITEM CMAKE_SYSTEM_IGNORE_PATH "${port_path_normalized}/lib")
       endif(CMAKE_SYSTEM_IGNORE_PATH)
-    ENDIF(PORT_EXEC)
+    endif(PORT_EXEC)
 
     # Deduce the Fink paths from FINK_EXEC
     if(FINK_EXEC)
       get_filename_component(fink_binpath ${FINK_EXEC} PATH)
       get_filename_component(fink_path ${fink_binpath} PATH)
       get_filename_component(fink_path_normalized ${fink_path} ABSOLUTE)
-      SET(CMAKE_FINK_LIBRARY_PATH ${fink_path_normalized}/lib CACHE STRING "Fink library path" FORCE)
-      SET(CMAKE_FINK_INCLUDE_PATH ${fink_path_normalized}/include CACHE STRING "Fink include path" FORCE)
+      set(CMAKE_FINK_LIBRARY_PATH ${fink_path_normalized}/lib CACHE STRING "Fink library path" FORCE)
+      set(CMAKE_FINK_INCLUDE_PATH ${fink_path_normalized}/include CACHE STRING "Fink include path" FORCE)
       if(CMAKE_SYSTEM_IGNORE_PATH)
 	list(REMOVE_ITEM CMAKE_SYSTEM_IGNORE_PATH "${CMAKE_FINK_LIBRARY_PATH}")
       endif(CMAKE_SYSTEM_IGNORE_PATH)
Index: misc/CMake/FindGL.cmake
===================================================================
--- misc/CMake/FindGL.cmake	(revision 54114)
+++ misc/CMake/FindGL.cmake	(working copy)
@@ -187,7 +187,7 @@
     )
 
   if(APPLE)
-    OPTION(OPENGL_USE_AQUA "Require native OSX Framework version of OpenGL." ON)
+    option(OPENGL_USE_AQUA "Require native OSX Framework version of OpenGL." ON)
   endif(APPLE)
 
   if(OPENGL_USE_AQUA)
Index: misc/CMake/FindUTAHRLE.cmake
===================================================================
--- misc/CMake/FindUTAHRLE.cmake	(revision 54114)
+++ misc/CMake/FindUTAHRLE.cmake	(working copy)
@@ -48,9 +48,9 @@
 find_library(UTAHRLE_LIBRARY NAMES UTAHRLE)
 
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(UTAHRLE DEFAULT_MSG UTAHRLE_LIBRARY UTAHRLE_INCLUDE_DIR)
+find_package_handle_standard_args(UTAHRLE DEFAULT_MSG UTAHRLE_LIBRARY UTAHRLE_INCLUDE_DIR)
 
-IF (UTAHRLE_FOUND)
+if (UTAHRLE_FOUND)
   set(UTAHRLE_INCLUDE_DIRS ${UTAHRLE_INCLUDE_DIR})
   set(UTAHRLE_LIBRARIES    ${UTAHRLE_LIBRARY})
 endif()
Index: misc/CMake/BRLCAD_CMakeFiles.cmake
===================================================================
--- misc/CMake/BRLCAD_CMakeFiles.cmake	(revision 54114)
+++ misc/CMake/BRLCAD_CMakeFiles.cmake	(working copy)
@@ -94,9 +94,9 @@
           # systems at some point in the future, we may have to
           # exclude src/other paths from this check.
 	  if(NOT "${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
-	    IS_SUBPATH("${CMAKE_BINARY_DIR}" "${ITEM_PATH}" SUBPATH_TEST)
+	    is_subpath("${CMAKE_BINARY_DIR}" "${ITEM_PATH}" SUBPATH_TEST)
 	    if("${SUBPATH_TEST}" STREQUAL "0")
-	      IS_SUBPATH("${CMAKE_SOURCE_DIR}" "${ITEM_PATH}" SUBPATH_TEST)
+	      is_subpath("${CMAKE_SOURCE_DIR}" "${ITEM_PATH}" SUBPATH_TEST)
 	      if("${SUBPATH_TEST}" STREQUAL "1")
 	        message(FATAL_ERROR "${ITEM} is listed in ${CMAKE_CURRENT_SOURCE_DIR} using its absolute path.  Please specify the location of this file using a relative path.")
 	      endif("${SUBPATH_TEST}" STREQUAL "1")
@@ -155,7 +155,7 @@
     foreach(filepath ${${filestoignore}})
       set(CMAKE_IGNORE_LIST ${CMAKE_IGNORE_LIST} "${targetdir}/${filepath}")
     endforeach(filepath ${filestoignore})
-    CMAKEFILES(${CMAKE_IGNORE_LIST})
+    cmakefiles(${CMAKE_IGNORE_LIST})
   endif(NOT BRLCAD_IS_SUBBUILD)
 endmacro(CMAKEFILES_IN_DIR)
 
Index: misc/CMake/FindOPENNURBS.cmake
===================================================================
--- misc/CMake/FindOPENNURBS.cmake	(revision 54114)
+++ misc/CMake/FindOPENNURBS.cmake	(working copy)
@@ -45,9 +45,9 @@
 find_library(OPENNURBS_LIBRARY NAMES opennurbs openNURBS OpenNURBS)
 
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(OPENNURBS DEFAULT_MSG OPENNURBS_LIBRARY OPENNURBS_INCLUDE_DIR)
+find_package_handle_standard_args(OPENNURBS DEFAULT_MSG OPENNURBS_LIBRARY OPENNURBS_INCLUDE_DIR)
 
-IF (OPENNURBS_FOUND)
+if (OPENNURBS_FOUND)
   set(OPENNURBS_INCLUDE_DIRS ${OPENNURBS_INCLUDE_DIR})
   set(OPENNURBS_LIBRARIES    ${OPENNURBS_LIBRARY})
 endif()
Index: misc/CMake/BRLCAD_CheckFunctions.cmake
===================================================================
--- misc/CMake/BRLCAD_CheckFunctions.cmake	(revision 54114)
+++ misc/CMake/BRLCAD_CheckFunctions.cmake	(working copy)
@@ -53,9 +53,9 @@
 macro(BRLCAD_FUNCTION_EXISTS function var)
   set(CMAKE_C_FLAGS_TMP "${CMAKE_C_FLAGS}")
   set(CMAKE_C_FLAGS "")
-  CHECK_FUNCTION_EXISTS(${function} ${var})
+  check_function_exists(${function} ${var})
   if(CONFIG_H_FILE AND ${var})
-    CONFIG_H_APPEND(BRLCAD "#cmakedefine ${var} 1\n")
+    config_h_append(BRLCAD "#cmakedefine ${var} 1\n")
   endif(CONFIG_H_FILE AND ${var})
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS_TMP}")
 endmacro(BRLCAD_FUNCTION_EXISTS)
@@ -82,7 +82,7 @@
   endif(NOT "${ARGV2}" STREQUAL "")
 
   # search for the header
-  CHECK_INCLUDE_FILES("${filelist}" ${var})
+  check_include_files("${filelist}" ${var})
 
   # !!! curiously strequal matches true above for all the NOT ${var} cases
   # if (NOT ${var})
@@ -90,7 +90,7 @@
   # endif (NOT ${var})
 
   if(CONFIG_H_FILE AND ${var})
-    CONFIG_H_APPEND(BRLCAD "#cmakedefine ${var} 1\n")
+    config_h_append(BRLCAD "#cmakedefine ${var} 1\n")
   endif(CONFIG_H_FILE AND ${var})
 
   if(NOT "${ARGV2}" STREQUAL "")
@@ -108,9 +108,9 @@
 macro(BRLCAD_INCLUDE_FILE_CXX filename var)
   set(CMAKE_CXX_FLAGS_TMP "${CMAKE_CXX_FLAGS}")
   set(CMAKE_CXX_FLAGS "")
-  CHECK_INCLUDE_FILE_CXX(${filename} ${var})
+  check_include_file_cxx(${filename} ${var})
   if(CONFIG_H_FILE AND ${var})
-    CONFIG_H_APPEND(BRLCAD "#cmakedefine ${var} 1\n")
+    config_h_append(BRLCAD "#cmakedefine ${var} 1\n")
   endif(CONFIG_H_FILE AND ${var})
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS_TMP}")
 endmacro(BRLCAD_INCLUDE_FILE_CXX)
@@ -136,12 +136,12 @@
   # variable incorporating both the typename and the headers string
   string(REGEX REPLACE "[^a-zA-Z0-9]" "_" testvar "HAVE_${typename}${headers}")
   string(TOUPPER "${testvar}" testvar)
-  CHECK_TYPE_SIZE(${typename} ${testvar})
+  check_type_size(${typename} ${testvar})
   set(CMAKE_EXTRA_INCLUDE_FILES "${CMAKE_EXTRA_INCLUDE_FILES_BAK}")
   # Produce config.h lines as appropriate
   if(CONFIG_H_FILE AND ${testvar})
-    CONFIG_H_APPEND(BRLCAD "#define HAVE_${var} 1\n")
-    CONFIG_H_APPEND(BRLCAD "#define SIZEOF_${var} ${${testvar}}\n")
+    config_h_append(BRLCAD "#define HAVE_${var} 1\n")
+    config_h_append(BRLCAD "#define SIZEOF_${var} ${${testvar}}\n")
   endif(CONFIG_H_FILE AND ${testvar})
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS_TMP}")
 endmacro(BRLCAD_TYPE_SIZE)
@@ -155,9 +155,9 @@
 macro(BRLCAD_STRUCT_MEMBER structname member headers var)
   set(CMAKE_C_FLAGS_TMP "${CMAKE_C_FLAGS}")
   set(CMAKE_C_FLAGS "")
-  CHECK_STRUCT_HAS_MEMBER(${structname} ${member} "${headers}" HAVE_${var})
+  check_struct_has_member(${structname} ${member} "${headers}" HAVE_${var})
   if(CONFIG_H_FILE AND HAVE_${var})
-    CONFIG_H_APPEND(BRLCAD "#define HAVE_${var} 1\n")
+    config_h_append(BRLCAD "#define HAVE_${var} 1\n")
   endif(CONFIG_H_FILE AND HAVE_${var})
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS_TMP}")
 endmacro(BRLCAD_STRUCT_MEMBER)
@@ -171,9 +171,9 @@
   set(CMAKE_C_FLAGS_TMP "${CMAKE_C_FLAGS}")
   set(CMAKE_C_FLAGS "")
   if(NOT ${targetname}_LIBRARY)
-    CHECK_LIBRARY_EXISTS(${lname} ${func} "" HAVE_${targetname}_${lname})
+    check_library_exists(${lname} ${func} "" HAVE_${targetname}_${lname})
     if(HAVE_${targetname}_${lname})
-      RESOLVE_LIBRARIES (${targetname}_LIBRARY "-l${lname}")
+      resolve_libraries (${targetname}_LIBRARY "-l${lname}")
       set(${targetname}_LINKOPT "-l${lname}" CACHE STRING "${targetname} link option")
       mark_as_advanced(${targetname}_LINKOPT)
     endif(HAVE_${targetname}_${lname})
@@ -203,9 +203,9 @@
 (void)basename(argv[0]);
 return 0;
 }")
-  CHECK_C_SOURCE_RUNS("${BASENAME_SRC}" HAVE_BASENAME)
+  check_c_source_runs("${BASENAME_SRC}" HAVE_BASENAME)
   if(HAVE_BASENAME)
-    CONFIG_H_APPEND(BRLCAD "#define HAVE_BASENAME 1\n")
+    config_h_append(BRLCAD "#define HAVE_BASENAME 1\n")
   endif(HAVE_BASENAME)
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS_TMP}")
 endmacro(BRLCAD_CHECK_BASENAME var)
@@ -222,9 +222,9 @@
 (void)dirname(argv[0]);
 return 0;
 }")
-  CHECK_C_SOURCE_RUNS("${DIRNAME_SRC}" HAVE_DIRNAME)
+  check_c_source_runs("${DIRNAME_SRC}" HAVE_DIRNAME)
   if(HAVE_DIRNAME)
-    CONFIG_H_APPEND(BRLCAD "#define HAVE_DIRNAME 1\n")
+    config_h_append(BRLCAD "#define HAVE_DIRNAME 1\n")
   endif(HAVE_DIRNAME)
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS_TMP}")
 endmacro(BRLCAD_CHECK_DIRNAME var)
@@ -236,9 +236,9 @@
 macro(BRLCAD_HEADER_SYS_WAIT)
   set(CMAKE_C_FLAGS_TMP "${CMAKE_C_FLAGS}")
   set(CMAKE_C_FLAGS "")
-  CHECK_C_SOURCE_RUNS(${CMAKE_SOURCE_DIR}/misc/CMake/test_srcs/sys_wait_test.c WORKING_SYS_WAIT)
+  check_c_source_runs(${CMAKE_SOURCE_DIR}/misc/CMake/test_srcs/sys_wait_test.c WORKING_SYS_WAIT)
   if(WORKING_SYS_WAIT)
-    CONFIG_H_APPEND(BRLCAD "#define HAVE_SYS_WAIT_H 1\n")
+    config_h_append(BRLCAD "#define HAVE_SYS_WAIT_H 1\n")
   endif(WORKING_SYS_WAIT)
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS_TMP}")
 endmacro(BRLCAD_HEADER_SYS_WAIT)
@@ -250,14 +250,14 @@
 macro(BRLCAD_ALLOCA)
   set(CMAKE_C_FLAGS_TMP "${CMAKE_C_FLAGS}")
   set(CMAKE_C_FLAGS "")
-  CHECK_C_SOURCE_RUNS(${CMAKE_SOURCE_DIR}/misc/CMake/test_srcs/alloca_header_test.c WORKING_ALLOCA_H)
+  check_c_source_runs(${CMAKE_SOURCE_DIR}/misc/CMake/test_srcs/alloca_header_test.c WORKING_ALLOCA_H)
   if(WORKING_ALLOCA_H)
-    CONFIG_H_APPEND(BRLCAD "#define HAVE_ALLOCA_H 1\n")
+    config_h_append(BRLCAD "#define HAVE_ALLOCA_H 1\n")
     set(FILE_RUN_DEFINITIONS "-DHAVE_ALLOCA_H")
   endif(WORKING_ALLOCA_H)
-  CHECK_C_SOURCE_RUNS(${CMAKE_SOURCE_DIR}/misc/CMake/test_srcs/alloca_test.c WORKING_ALLOCA)
+  check_c_source_runs(${CMAKE_SOURCE_DIR}/misc/CMake/test_srcs/alloca_test.c WORKING_ALLOCA)
   if(WORKING_ALLOCA)
-    CONFIG_H_APPEND(BRLCAD "#define HAVE_ALLOCA 1\n")
+    config_h_append(BRLCAD "#define HAVE_ALLOCA 1\n")
   endif(WORKING_ALLOCA)
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS_TMP}")
 endmacro(BRLCAD_ALLOCA)
@@ -271,7 +271,7 @@
   set(CMAKE_C_FLAGS_TMP "${CMAKE_C_FLAGS}")
   set(CMAKE_C_FLAGS "")
   set(CMAKE_REQUIRED_DEFINITIONS_BAK ${CMAKE_REQUIRED_DEFINITIONS})
-  CHECK_INCLUDE_file(stdint.h HAVE_STDINT_H)
+  check_include_file(stdint.h HAVE_STDINT_H)
   if(HAVE_STDINT_H)
     set(CMAKE_REQUIRED_DEFINITIONS "-DHAVE_STDINT_H=1")
   endif(HAVE_STDINT_H)
@@ -291,9 +291,9 @@
   return 0;
 }
 ")
-  CHECK_C_SOURCE_RUNS("${CHECK_C99_FORMAT_SPECIFIERS_SRC}" HAVE_C99_FORMAT_SPECIFIERS)
+  check_c_source_runs("${CHECK_C99_FORMAT_SPECIFIERS_SRC}" HAVE_C99_FORMAT_SPECIFIERS)
   if(HAVE_C99_FORMAT_SPECIFIERS)
-    CONFIG_H_APPEND(BRLCAD "#define HAVE_C99_FORMAT_SPECIFIERS 1\n")
+    config_h_append(BRLCAD "#define HAVE_C99_FORMAT_SPECIFIERS 1\n")
   endif(HAVE_C99_FORMAT_SPECIFIERS)
   set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS_BAK})
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS_TMP}")
Index: misc/CMake/BRLCAD_Util.cmake
===================================================================
--- misc/CMake/BRLCAD_Util.cmake	(revision 54114)
+++ misc/CMake/BRLCAD_Util.cmake	(working copy)
@@ -97,14 +97,14 @@
   # generate a target name.
   if(NOT havevarname)
     set(${targetvar} "${inlist}")
-    BRLCAD_TARGET_NAME("${inlist}" targetname)
+    brlcad_target_name("${inlist}" targetname)
   else(NOT havevarname)
     set(${targetvar} "${${inlist}}")
     set(targetname "${inlist}")
   endif(NOT havevarname)
 
   # Mark the inputs as files to ignore in distcheck
-  CMAKEFILES(${${targetvar}})
+  cmakefiles(${${targetvar}})
 
   # For some uses, we need the contents of the input list
   # with full paths.  Generate a list that we're sure has
Index: misc/CMake/RE2C_Util.cmake
===================================================================
--- misc/CMake/RE2C_Util.cmake	(revision 54114)
+++ misc/CMake/RE2C_Util.cmake	(working copy)
@@ -80,7 +80,7 @@
     if(${ARGC} EQUAL 5)
       if("${ARGV3}" STREQUAL "COMPILE_FLAGS")
 	set(RE2C_EXECUTABLE_opts  "${ARGV4}")
-	SEPARATE_ARGUMENTS(RE2C_EXECUTABLE_opts)
+	separate_arguments(RE2C_EXECUTABLE_opts)
       else()
 	message(SEND_ERROR ${RE2C_TARGET_usage})
       endif()
Index: misc/CMake/ThirdParty.cmake
===================================================================
--- misc/CMake/ThirdParty.cmake	(revision 54114)
+++ misc/CMake/ThirdParty.cmake	(working copy)
@@ -137,7 +137,7 @@
       if("${BRLCAD_BUNDLED_LIBS}" STREQUAL "SYSTEM")
 	set(${CMAKE_PROJECT_NAME}_${upper}_BUILD OFF)
 	set(${upper}_MET_CONDITION 5)
-      ELSEif("${BRLCAD_BUNDLED_LIBS}" STREQUAL "BUNDLED")
+      elseif("${BRLCAD_BUNDLED_LIBS}" STREQUAL "BUNDLED")
 	set(${CMAKE_PROJECT_NAME}_${upper}_BUILD ON)
 	set(${upper}_DISABLE_TEST 1)
 	set(${upper}_MET_CONDITION 5)
@@ -206,7 +206,7 @@
     file(GLOB STALE_FILES "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${CMAKE_SHARED_LIBRARY_PREFIX}${rootname}*${CMAKE_SHARED_LIBRARY_SUFFIX}*")
 
     foreach(stale_file ${STALE_FILES})
-      EXEC_PROGRAM(
+      exec_program(
 	${CMAKE_COMMAND} ARGS -E remove ${stale_file}
 	OUTPUT_VARIABLE rm_out
 	RETURN_VALUE rm_retval
@@ -227,16 +227,16 @@
     set(${upper}_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/${dir};${CMAKE_CURRENT_BINARY_DIR}/${dir} CACHE STRING "set by THIRD_PARTY_SUBDIR macro" FORCE)
     if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist)
       include(${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist)
-      CMAKEFILES_IN_DIR(${dir}_ignore_files ${dir})
+      cmakefiles_in_dir(${dir}_ignore_files ${dir})
     else(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist)
       message("Bundled build, but file ${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist not found")
     endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist)
   else(${CMAKE_PROJECT_NAME}_${upper}_BUILD)
-    CMAKEFILES(${dir})
+    cmakefiles(${dir})
   endif(${CMAKE_PROJECT_NAME}_${upper}_BUILD)
 
-  OPTION_ALIASES("${CMAKE_PROJECT_NAME}_${upper}" "${aliases}" "ABS")
-  OPTION_DESCRIPTION("${CMAKE_PROJECT_NAME}_${upper}" "${aliases}" "${description}")
+  option_aliases("${CMAKE_PROJECT_NAME}_${upper}" "${aliases}" "ABS")
+  option_description("${CMAKE_PROJECT_NAME}_${upper}" "${aliases}" "${description}")
 
   # For drop-down menus in CMake gui - set STRINGS property
   set_property(CACHE ${CMAKE_PROJECT_NAME}_${upper} PROPERTY STRINGS AUTO BUNDLED SYSTEM)
@@ -280,7 +280,7 @@
   # or cached value will be replaced with the local path.  A feature based disablement
   # of the tool also applies to the cached version.
   if(${upper}_EXECUTABLE)
-    IS_SUBPATH("${CMAKE_BINARY_DIR}" "${${upper}_EXECUTABLE}" SUBBUILD_TEST)
+    is_subpath("${CMAKE_BINARY_DIR}" "${${upper}_EXECUTABLE}" SUBBUILD_TEST)
     if("${SUBBUILD_TEST}" STREQUAL "0")
       get_filename_component(FULL_PATH_EXEC ${${upper}_EXECUTABLE} ABSOLUTE)
       if("${FULL_PATH_EXEC}" STREQUAL "${${upper}_EXECUTABLE}")
@@ -381,7 +381,7 @@
       if("${BRLCAD_BUNDLED_LIBS}" STREQUAL "SYSTEM")
 	set(${CMAKE_PROJECT_NAME}_${upper}_BUILD OFF)
 	set(${upper}_MET_CONDITION 5)
-      ELSEif("${BRLCAD_BUNDLED_LIBS}" STREQUAL "BUNDLED")
+      elseif("${BRLCAD_BUNDLED_LIBS}" STREQUAL "BUNDLED")
 	set(${CMAKE_PROJECT_NAME}_${upper}_BUILD ON)
 	set(${upper}_DISABLE_TEST 1)
 	set(${upper}_MET_CONDITION 5)
@@ -434,7 +434,7 @@
     if(EXEC_CACHED)
       # Is it a build target?  If so, don't cache it.
       get_filename_component(EXEC_CACHED_ABS_PATH ${EXEC_CACHED} ABSOLUTE)
-      IF ("${EXEC_CACHED_ABS_PATH}" STREQUAL "${PATH_ABS}")
+      if ("${EXEC_CACHED_ABS_PATH}" STREQUAL "${PATH_ABS}")
 	# Is it the bundled path? (don't override if it is, the bundled option setting takes care of that)
 	if(NOT "${EXEC_CACHED}" STREQUAL "${CMAKE_BINARY_DIR}/${BIN_DIR}/${lower}")
 	  # Is it the same as the found results?
@@ -490,7 +490,7 @@
 	mark_as_advanced(SRC_OTHER_ADDED_DIRS)
 	if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist)
 	  include(${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist)
-	  CMAKEFILES_IN_DIR(${dir}_ignore_files ${dir})
+	  cmakefiles_in_dir(${dir}_ignore_files ${dir})
 	else(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist)
 	  message("Bundled build, but file ${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist not found")
 	endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist)
@@ -501,7 +501,7 @@
       mark_as_advanced(SRC_OTHER_ADDED_DIRS)
       if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist)
 	include(${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist)
-	CMAKEFILES_IN_DIR(${dir}_ignore_files ${dir})
+	cmakefiles_in_dir(${dir}_ignore_files ${dir})
       else(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist)
 	message("Bundled build, but file ${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist not found")
       endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${dir}.dist)
@@ -513,12 +513,12 @@
     endif(CMAKE_CONFIGURATION_TYPES)
     set(${upper}_EXECUTABLE_TARGET ${lower} CACHE STRING "Build target for ${lower}" FORCE)
   else(${CMAKE_PROJECT_NAME}_${upper}_BUILD)
-    CMAKEFILES(${dir})
+    cmakefiles(${dir})
     set(${upper}_EXECUTABLE_TARGET "" CACHE STRING "No build target for ${lower}" FORCE)
   endif(${CMAKE_PROJECT_NAME}_${upper}_BUILD)
 
-  OPTION_ALIASES("${CMAKE_PROJECT_NAME}_${upper}" "${aliases}" "ABS")
-  OPTION_DESCRIPTION("${CMAKE_PROJECT_NAME}_${upper}" "${aliases}" "${description}")
+  option_aliases("${CMAKE_PROJECT_NAME}_${upper}" "${aliases}" "ABS")
+  option_description("${CMAKE_PROJECT_NAME}_${upper}" "${aliases}" "${description}")
 
   # For drop-down menus in CMake gui - set STRINGS property
   set_property(CACHE ${CMAKE_PROJECT_NAME}_${upper} PROPERTY STRINGS AUTO BUNDLED SYSTEM)
Index: misc/CMake/BRLCAD_Options.cmake
===================================================================
--- misc/CMake/BRLCAD_Options.cmake	(revision 54114)
+++ misc/CMake/BRLCAD_Options.cmake	(working copy)
@@ -120,7 +120,7 @@
 	  set(invert_item ${${item}})
 	  if("${${item}}" STREQUAL "ON")
 	    set(invert_item "OFF")
-	  ELSEif("${invert_item}" STREQUAL "OFF")
+	  elseif("${invert_item}" STREQUAL "OFF")
 	    set(invert_item "ON")
 	  endif("${${item}}" STREQUAL "ON")
 	  set(${opt} ${invert_item} CACHE STRING "setting ${opt} via alias ${item}" FORCE)
@@ -190,15 +190,15 @@
   if(NOT DEFINED ${opt} OR "${${opt}}" STREQUAL "")
     if("${default}" STREQUAL "ON" OR "${default}" STREQUAL "YES")
       set(${opt} ON CACHE BOOL "define ${opt}" FORCE)
-    ELSEif("${default}" STREQUAL "OFF" OR "${default}" STREQUAL "NO")
+    elseif("${default}" STREQUAL "OFF" OR "${default}" STREQUAL "NO")
       set(${opt} OFF CACHE BOOL "define ${opt}" FORCE)
     else("${default}" STREQUAL "ON" OR "${default}" STREQUAL "YES")
       set(${opt} ${default} CACHE STRING "define ${opt}" FORCE)
     endif("${default}" STREQUAL "ON" OR "${default}" STREQUAL "YES")
   endif(NOT DEFINED ${opt} OR "${${opt}}" STREQUAL "")
 
-  OPTION_ALIASES("${opt}" "${opt_ALIASES}" "BOOL")
-  OPTION_DESCRIPTION("${opt}" "${opt_ALIASES}" "${opt_DESCRIPTION}")
+  option_aliases("${opt}" "${opt_ALIASES}" "BOOL")
+  option_description("${opt}" "${opt_ALIASES}" "${opt_DESCRIPTION}")
 endmacro(BRLCAD_OPTION)
 
 # Local Variables:
Index: misc/CMake/FindREGEX.cmake
===================================================================
--- misc/CMake/FindREGEX.cmake	(revision 54114)
+++ misc/CMake/FindREGEX.cmake	(working copy)
@@ -51,7 +51,7 @@
 set(REGEX_NAMES c regex compat)
 foreach(rname ${REGEX_NAMES})
   if(NOT REGEX_LIBRARY)
-    CHECK_LIBRARY_EXISTS(${rname} regcomp "" HAVE_REGEX_LIB)
+    check_library_exists(${rname} regcomp "" HAVE_REGEX_LIB)
     if(HAVE_REGEX_LIB)
       find_library(REGEX_LIBRARY NAMES ${rname})
     endif(HAVE_REGEX_LIB)
@@ -63,7 +63,7 @@
 # handle the QUIETLY and REQUIRED arguments and set REGEX_FOUND to TRUE if
 # all listed variables are TRUE
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(REGEX DEFAULT_MSG REGEX_INCLUDE_DIR REGEX_LIBRARY)
+find_package_handle_standard_args(REGEX DEFAULT_MSG REGEX_INCLUDE_DIR REGEX_LIBRARY)
 
 
 # Local Variables:
Index: misc/CMake/DocBook.cmake
===================================================================
--- misc/CMake/DocBook.cmake	(revision 54114)
+++ misc/CMake/DocBook.cmake	(working copy)
@@ -146,7 +146,7 @@
   if("${IN_LIST}" STREQUAL "-1")
     set_property(GLOBAL APPEND PROPERTY DB_VALIDATION_FILE_LIST "${CMAKE_CURRENT_SOURCE_DIR}/${filename}")
 
-    DB_SCRIPT("${filename_root}_validate" "${DOC_DIR}/${targetdir}" "${VALIDATE_EXECUTABLE}")
+    db_script("${filename_root}_validate" "${DOC_DIR}/${targetdir}" "${VALIDATE_EXECUTABLE}")
     add_custom_command(
       OUTPUT ${xml_valid_stamp}
       COMMAND ${CMAKE_COMMAND} -P ${scriptfile}
@@ -174,11 +174,11 @@
       endforeach(extra_out ${EXTRA_OUTPUTS})
 
       if(BRLCAD_EXTRADOCS_VALIDATE)
-	DB_VALIDATE_TARGET(${targetdir} "${filename}" ${filename_root})
+	db_validate_target(${targetdir} "${filename}" ${filename_root})
       endif(BRLCAD_EXTRADOCS_VALIDATE)
 
       # Generate the script that will be used to run the XSLT executable
-      DB_SCRIPT("${targetname}" "${DOC_DIR}/${targetdir}" "${XSLT_EXECUTABLE}")
+      db_script("${targetname}" "${DOC_DIR}/${targetdir}" "${XSLT_EXECUTABLE}")
 
       add_custom_command(
 	OUTPUT ${outfile} ${EXTRAS}
@@ -214,7 +214,7 @@
     endforeach(filename ${${xml_files}})
   endif(BRLCAD_EXTRADOCS_HTML)
 
-  CMAKEFILES(${${xml_files}})
+  cmakefiles(${${xml_files}})
 endmacro(DOCBOOK_TO_HTML targetname_suffix srcfile outfile targetdir deps_list)
 
 # This macro produces Unix-style manual or "man" pages
@@ -235,11 +235,11 @@
       endforeach(extra_out ${EXTRA_OUTPUTS})
 
       if(BRLCAD_EXTRADOCS_VALIDATE)
-	DB_VALIDATE_TARGET(${targetdir} "${filename}" ${filename_root})
+	db_validate_target(${targetdir} "${filename}" ${filename_root})
       endif(BRLCAD_EXTRADOCS_VALIDATE)
 
       # Generate the script that will be used to run the XSLT executable
-      DB_SCRIPT("${targetname}" "${MAN_DIR}/${targetdir}" "${XSLT_EXECUTABLE}")
+      db_script("${targetname}" "${MAN_DIR}/${targetdir}" "${XSLT_EXECUTABLE}")
 
       add_custom_command(
 	OUTPUT ${outfile} ${EXTRAS}
@@ -276,7 +276,7 @@
     endforeach(filename ${${xml_files}})
   endif(BRLCAD_EXTRADOCS_MAN)
   # Mark files for distcheck
-  CMAKEFILES(${${xml_files}})
+  cmakefiles(${${xml_files}})
 endmacro(DOCBOOK_TO_MAN targetname_suffix srcfile outfile targetdir deps_list)
 
 # PDF output is generated in a two stage process - the XML file is first
@@ -296,9 +296,9 @@
       set(fo_outfile ${outfile})
       set(CURRENT_XSL_STYLESHEET ${XSL_FO_STYLESHEET})
       if(BRLCAD_EXTRADOCS_VALIDATE)
-	DB_VALIDATE_TARGET(${targetdir} "${filename}" ${filename_root})
+	db_validate_target(${targetdir} "${filename}" ${filename_root})
       endif(BRLCAD_EXTRADOCS_VALIDATE)
-      DB_SCRIPT("${targetname}" "${DOC_DIR}/${targetdir}" "${XSLT_EXECUTABLE}")
+      db_script("${targetname}" "${DOC_DIR}/${targetdir}" "${XSLT_EXECUTABLE}")
       add_custom_command(
 	OUTPUT ${outfile}
 	COMMAND ${CMAKE_COMMAND} -P ${scriptfile}
@@ -306,7 +306,7 @@
 	)
       set(targetname ${filename_root}_${targetname_suffix}_pdf)
       set(outfile ${bin_root}/${DOC_DIR}/${targetdir}/${filename_root}.pdf)
-      DB_SCRIPT("${targetname}_pdf" "${DOC_DIR}/${targetdir}" "${PDF_CONV_EXECUTABLE}")
+      db_script("${targetname}_pdf" "${DOC_DIR}/${targetdir}" "${PDF_CONV_EXECUTABLE}")
       add_custom_command(
 	OUTPUT ${outfile}
 	COMMAND ${CMAKE_COMMAND} -P ${scriptfile}
@@ -335,7 +335,7 @@
 
     endforeach(filename ${${xml_files}})
   endif(BRLCAD_EXTRADOCS_PDF)
-  CMAKEFILES(${${xml_files}})
+  cmakefiles(${${xml_files}})
 endmacro(DOCBOOK_TO_PDF targetname_suffix srcfile outfile targetdir deps_list)
 
 # Local Variables:
Index: misc/CMake/FindYACC.cmake
===================================================================
--- misc/CMake/FindYACC.cmake	(revision 54114)
+++ misc/CMake/FindYACC.cmake	(working copy)
@@ -129,7 +129,7 @@
   # internal macro
   macro(YACC_TARGET_option_extraopts Options)
     set(YACC_TARGET_extraopts "${Options}")
-    SEPARATE_ARGUMENTS(YACC_TARGET_extraopts)
+    separate_arguments(YACC_TARGET_extraopts)
     list(APPEND YACC_TARGET_cmdopt ${YACC_TARGET_extraopts})
   endmacro(YACC_TARGET_option_extraopts)
 
@@ -147,20 +147,20 @@
       # Parsing parameters
       if(${ARGC} GREATER 5 OR ${ARGC} EQUAL 5)
         if("${ARGV3}" STREQUAL "VERBOSE")
-          YACC_TARGET_option_verbose(${Name} ${YaccOutput} "${ARGV4}")
+          yacc_target_option_verbose(${Name} ${YaccOutput} "${ARGV4}")
         endif()
         if("${ARGV3}" STREQUAL "COMPILE_FLAGS")
-          YACC_TARGET_option_extraopts("${ARGV4}")
+          yacc_target_option_extraopts("${ARGV4}")
         endif()
       endif()
 
       if(${ARGC} EQUAL 7)
         if("${ARGV5}" STREQUAL "VERBOSE")
-          YACC_TARGET_option_verbose(${Name} ${YaccOutput} "${ARGV6}")
+          yacc_target_option_verbose(${Name} ${YaccOutput} "${ARGV6}")
         endif()
 
         if("${ARGV5}" STREQUAL "COMPILE_FLAGS")
-          YACC_TARGET_option_extraopts("${ARGV6}")
+          yacc_target_option_extraopts("${ARGV6}")
         endif()
       endif()
 
@@ -195,7 +195,7 @@
 endif(YACC_EXECUTABLE)
 
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(YACC DEFAULT_MSG YACC_EXECUTABLE)
+find_package_handle_standard_args(YACC DEFAULT_MSG YACC_EXECUTABLE)
 
 # FindYACC.cmake ends here
 
Index: misc/CMake/FindShellDeps.cmake
===================================================================
--- misc/CMake/FindShellDeps.cmake	(revision 54114)
+++ misc/CMake/FindShellDeps.cmake	(working copy)
@@ -48,7 +48,7 @@
 find_program(RM_EXEC NAMES rm DOC "path to remove executable")
 
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(SHELL_SUPPORTED DEFAULT_MSG SH_EXEC CP_EXEC MV_EXEC RM_EXEC)
+find_package_handle_standard_args(SHELL_SUPPORTED DEFAULT_MSG SH_EXEC CP_EXEC MV_EXEC RM_EXEC)
 mark_as_advanced(SH_EXEC)
 mark_as_advanced(MV_EXEC)
 mark_as_advanced(CP_EXEC)
